//Copyright (C) 2005  Iain Sharp
//Portions Copyright (C) 1994  Scott Draves <spot@cs.cmu.edu>
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.
//
//Linking Swell statically or dynamically with other modules is making a
//combined work based on Swell.  Thus, the terms and conditions of the GNU
//General Public License cover the whole combination.
//
//As a special exception, the copyright holders of Swell give you
//permission to integrate Swell and derivative works 
//with multimedia libraries and toolkits similar to
//DirectX and PocketHAL, regardless of the license
//terms of these independent modules, and to copy and distribute the
//resulting combined work under the GPL maintaining this exception.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// For information and contacts for the author go to www.pinedragon.com/swell
//

#ifndef _WIN32_WCE

#include <windows.h>
#include <stdio.h>

// returns true if directxversion is ok
bool testdirectxversion(int minmajor,int minminor)
{
	char buf[80];
	DWORD len=80;
	LONG res;
	REGSAM rs;
	HKEY key;
	int a,b,c,d;
	rs=KEY_QUERY_VALUE;
	res=RegOpenKeyEx(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\DirectX",0,rs,&key);
	if (ERROR_SUCCESS!=res)
		return 0;
	res=RegQueryValueEx(key,"Version",0,NULL,(LPBYTE)&buf,&len);
	if (ERROR_SUCCESS!=res)
		return 0;
	RegCloseKey(key);
	sscanf(buf,"%d.%d.%d.%d",&a,&b,&c,&d);
	return (b>=minmajor)&&(c>=minminor);
}

#endif
